<?php session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
$pagina_descri='LISTA DE CUENTAS';
$pagina_nivel;
$pagina_tipo;

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $empr_nombre.'-'.$_SESSION['user_vcrx_id'].' - '.$pagina_descri;?> </title>
<!-- <link rel="stylesheet" href="http://vcrxol.com/_css/comun.css" type="text/css" /> -->
<!--  <link rel="stylesheet" href="../css/comun2.css" type="text/css" /> -->
<style>
body{ font-size:12px;}
</style>
<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>
<script >
function _nctas(){
	
	var codigo=document.getElementById('ctas_nuevo').value;
	
	$.ajax({
		cache:false,
		url:'../_lib/_linker.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{script:'vrctas2.php',codigo:codigo},
		beforeSend: function(jqXHR, textStatus){}, 
		success:function(data, textStatus, jqXHR){		
			document.getElementById('msg_ajax').innerHTML=data;
			if(data==='Registro exitoso'){
			
			var table = document.getElementById("lista_tbl");
			var  row= table.insertRow(1);
			var cell1 = row.insertCell(0);
			var cell2 = row.insertCell(1);
			var cell3 = row.insertCell(2);
			var cell4 = row.insertCell(3);
			var cell5 = row.insertCell(4);
			var cell6 = row.insertCell(5);
			var cell7 = row.insertCell(6);
			cell1.innerHTML = '<a href="nctas.php?idx='+codigo+'" target="_blank"><img src="http://vcrxol.com/_img/ico_edit.png" width="20" title="Modificar '+codigo+'"></a>';
			cell2.innerHTML = '<img src="http://vcrxol.com/_img/print2.png" width="20" title="Imprimir">';
			cell3.innerHTML = codigo;
			cell4.innerHTML = '';
			cell5.innerHTML = '';
			cell6.innerHTML = '';
			cell7.innerHTML = '';
			cell1.setAttribute("align", "center");
			cell1.style.textAlign='center';
			cell2.setAttribute("align", "center");
			cell2.style.textAlign='center';
			cell3.setAttribute("align", "left");
			cell3.style.textAlign='left';
			document.getElementById('ctas_nuevo').value='';
			}
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              alert('Sin Conexion: Verifique Red.');
			  location.href='../salir.php';
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               alert('Servidor no Responde');
			   location.href='../salir.php';
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
		 complete:function(jqXHR, textStatus){if(textStatus==='success'){}},
			timeout:90000
		});

}
</script>
</head>

<body>
<?php include('../../_lib/cabecera2.php');?>
<?php 
require('../cfg/res.php');


$xacceso=0;
$sql_acce='select * from usrdoc1 where docu like "USER%" and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Lista de Usuarios ' );}	

	
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-12 month' , strtotime ( $fecha1 ) ) ;
// $xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1 = date ( 'Y-m-01' , $nuevafecha );
$xfecha2= date('Y-m-d');

?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>


function _fecha(e,idfec)
{
// 	if(e.keyCode==13)
if(e.keyCode==9 || e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}



function iteml1d(grupox,idnumx,obj)
{
	
	
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

document.getElementById('itemlot2').innerHTML='Cargando...';
$.ajax({
		cache:false,
		url:'../lib/vriteml1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 console.log(dato);
			 document.getElementById('itemlot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('itemlot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('itemlot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('itemlot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('itemlot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('itemlot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('itemlot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('itemlot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar() 
{
	//document.body.style.cursor='wait';
	
document.getElementById('lista_tbl').innerHTML='';
document.getElementById('msg_ajax').innerHTML='';
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}
var ordenax='tipo';
if(document.getElementById('fdescri').checked){ordenax='descri';}
if(document.getElementById('fcodigo').checked){ordenax='codigo';}

var agrupax='';
if(document.getElementById('fclie').checked){
	agrupax='\"clie\"';
	console.log(agrupax);
}
	
if(document.getElementById('fadmi').checked){
	if(agrupax!=''){agrupax+=',';}
	agrupax+='\"admi\"';
}

if(document.getElementById('finvi').checked){
	if(agrupax!=''){agrupax+=',';}
	agrupax+='\"invi\"';
}
if(document.getElementById('fsupe').checked){
	if(agrupax!=''){agrupax+=',';}
	agrupax+='\"supe\"';
}


document.getElementById('itemlot1').innerHTML='Cargando datos...';
document.getElementById('itemlot2').innerHTML='';

		$.ajax({
		cache:false,
		url:'../_lib/_linker.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{script:'vrctasl2.php',fecha_ini:fecha_ini,fecha_fin:fecha_fin,ordenax:ordenax,agrupax:agrupax}, 
    	beforeSend: function(jqXHR, textStatus){}, 
		success:function(dato, textStatus, jqXHR){document.getElementById('itemlot1').innerHTML=dato;},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    				    	
			}
		},
		timeout:300000
	});

	document.body.style.cursor='auto';


//location.href=pagina;
} 



//function imprimirlista(entix,entid) 

function imprimirlista() 
{

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}

console.log(fentt);
// echo fentt;

pagina="../lib/impr_iteml0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fgrou="+fgrou
+"&fcodi="+fcodi
+"&fentt="+fentt
+"&forde="+forde
+"&fitem="+item
+"&fmrca="+fmrca 
+"&fmdlo="+fmdlo 
+"&fnpar="+fnpar 
+"&flsub="+flsub 
+"&fcost="+fcost 
+"&fpuni="+fpuni
+"&fpvp1="+fpvp1 
+"&fctlg="+fctlg;

// console.log(pagina);

window.open(pagina);
} 



function _modificar(cod){

var data = new FormData();
data.append('id',cod);
data.append('script','vruserl3.php');
//script:'vruserl2.php'
	$.ajax({
		cache:false,
		url:'../_lib/_linker.php',
		datatype: "text",
	    async:false,
		type:'POST',
		contentType:false,
		processData:false,
		//data:{'id':cod,'script':'vracces3.php'}, 
		data:data, 
    	beforeSend: function(jqXHR, textStatus){}, 
		success:function(dato, textStatus, jqXHR)
		{
			document.getElementById('itemlot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
						else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
						else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
						else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
						else if (exception === 'timeout') {alert('Servidor no Responde');}
						else if (exception === 'abort') {console.log('Ajax request aborted.');}
						else {console.log('Uncaught Error: ' + jqXHR.responseText);}

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success'){}           
		},
		timeout:30000
	});

}

</script>

<div style="">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table>	
	<caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
</table>
</th>

<th style ="border-left:solid 1px;">
<div align="center">ORDENADO X</div>
<div>
<?php $pidtxt='ftipo';   $pname='ordenar'; $pcaption='Tipo'; $pdefa=0; include('vrradio.php'); ?>	
<?php $pidtxt='fdescri'; $pname='ordenar'; $pcaption='Descripcion'; $pdefa=0; include('vrradio.php'); ?>	
<?php $pidtxt='fcodigo'; $pname='ordenar'; $pcaption='Codigo'; $pdefa=0; include('vrradio.php'); ?>	
</div>
</th>

<th style ="border-left:solid 1px;">
<div align="center">AGRUPAR X</div>
<div>
<?php $pidtxt='fsupe'; $pcaption='S.Administrador'; $pdefa=0; include('vrchkbox.php'); ?>	
<?php $pidtxt='fadmi'; $pcaption='Administrador'; $pdefa=0; include('vrchkbox.php'); ?>	
<?php $pidtxt='fclie'; $pcaption='Cliente'; $pdefa=0; include('vrchkbox.php'); ?>	
<?php $pidtxt='finvi'; $pcaption='Invitado'; $pdefa=0; include('vrchkbox.php'); ?>	
</div>
</th>
	

<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Imprimir';  $ponclick="imprimirlista();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Nuevo';  $ponclick="_nctas('nctas.php');" ;include('vrbutton.php'); ?>

<?php //$pcaption='Nuevo';  $ponclick="php_func('new_item()');redireccionar();" ;include('vrbutton.php'); ?>
<?php $pcaption=''; $pcols='50'; $plong='20';  $pidtxt='ctas_nuevo'; $pdefa=''; $pobj=1;  include('vrgettxt.php');  ?>
</th>

</tr>
</table>
</th>
</table>

</div>



<div id="msg_ajax"></div>
<div id="itemlot1" style="">
<table width="100%" cellpadding="2" border="1" id="lista_tbl" style="border-collapse:collapse;">
<tr>
<th >M</th>
<th>I</th>
<th>CODIGO</th>
<th>DESCRI</th>
<th>TIPO</th>
<th>STATUS</th>
<th>CAIR</th>
</tr>
</table>
</div>

<br>
<div id="itemlot2" style=""></div>

<?php	require('lista_car.php'); ?>	

</body>
</html>
